/** @module run */
import { Parameters } from './Parameters';
/**
 * Interface for components that require execution parameters.
 *
 * @see [[IConfigurable]]
 */
export interface IParameterized {
    /**
     * Sets execution parameters.
     *
     * @param parameters 	execution parameters.
     */
    setParameters(parameters: Parameters): void;
}
